# -*- coding: utf-8 -*-
#MoxRoundOne 
#回転のFカーブが無駄に360度以上オフセットされているとき、0に近いところにオフセットして戻します。
#15/02/02
#ブランチ選択にも対応します。
import maya.cmds as cmds

def main():
    oSels = cmds.ls( sl=True )#選択したオブジェクトを取得
    fcurve_list = cmds.keyframe(oSels, q=True, n=True)#そのオブジェクトのＦカーブ一覧を取得

    for fcurve in fcurve_list:#取得したFカーブリストから、一本だけＦカーブを取り出し個別に処理
        if fcurve.count('rotate'):
            hoge =cmds.keyframe(fcurve, q=True, vc=True)
            maxv = max(hoge)
            minv = min(hoge)
            if maxv > 180:   
                cmds.keyframe(fcurve,e=True,r=True,vc=-360)
                print(fcurve + u"を-360オフセットしました。")
            elif minv < -180:
                cmds.keyframe(fcurve,e=True,r=True,vc=360)
                print(fcurve + u"を-360オフセットしました。")
        else:pass